package com.tuoheng.miniprogram.controller;

import com.tuoheng.common.core.common.BaseController;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.entity.WorkOrder;
import com.tuoheng.miniprogram.entity.dto.WorkOrderDto;
import com.tuoheng.miniprogram.service.IWorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author ChengWang
 * @Date 2022/12/6
 */
@RestController
@RequestMapping("/workOrder")
public class WorkOrderController extends BaseController {

    @Autowired
    private IWorkOrderService workOrderService;



    /**
     * 新增
     * @param dto
     * @return
     */
    @PostMapping("/add")
    public JsonResult add(@RequestBody WorkOrderDto dto){
        return workOrderService.addInfo(dto);
    }





}
